# Class default

#### Hierarchy

- Container
  - default

- Defined in src/ui/achv-bar.ts:6

#####
Index

### Constructors

constructor

### Properties

active
alpha
angle
bg
blendMode
body
cameraFilter
data
defaultHeight
defaultWidth
depth
descriptionText
displayHeight
displayList
displayOriginX
displayOriginY
displayWidth
exclusive
first
hasPostPipeline
hasTransformComponent
height
icon
ignoreDestroy
input
last
length
list
localTransform
mask
maxSize
name
next
originX
originY
parentContainer
position
postFX
postPipelineData
postPipelines
preFX
previous
queue
renderFlags
rotation
scale
scaleX
scaleY
scene
scoreText
scrollFactorX
scrollFactorY
shown
state
tabIndex
titleText
type
visible
w
width
x
y
z
RENDER_MASK

### Methods

add
addAt
addListener
addToDisplayList
addToUpdateList
addedToScene
bringToTop
clearAlpha
clearFX
clearMask
copyPosition
count
createBitmapMask
createGeometryMask
destroy
disableInteractive
each
emit
eventNames
exists
getAll
getAt
getBounds
getBoundsTransformMatrix
getByName
getData
getFirst
getIndex
getIndexList
getLocalPoint
getLocalTransformMatrix
getParentRotation
getPostPipeline
getRandom
getWorldTransformMatrix
hide
incData
initPostPipeline
iterate
listenerCount
listeners
moveAbove
moveBelow
moveDown
moveTo
moveUp
off
on
onChildDestroyed
once
pointToContainer
preDestroy
remove
removeAll
removeAllListeners
removeAt
removeBetween
removeFromDisplayList
removeFromUpdateList
removeInteractive
removeListener
removePostPipeline
removedFromScene
replace
resetPostPipeline
reverse
sendToBack
setActive
setAll
setAlpha
setAngle
setBlendMode
setData
setDataEnabled
setDepth
setDisplaySize
setExclusive
setInteractive
setMask
setName
setPosition
setPositionRelative
setPostPipeline
setPostPipelineData
setRandomPosition
setRotation
setScale
setScrollFactor
setSize
setState
setVisible
setW
setX
setY
setZ
setup
showAchv
shuffle
shutdown
sort
swap
toJSON
toggleData
update
willRender

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Overrides Phaser.GameObjects.Container.constructor

  - Defined in src/ui/achv-bar.ts:20

## Properties

### active

active: boolean

The active state of this Game Object. A Game Object with an active state of `true` is processed by the Scenes UpdateList, if added to it. An active object is one which is having its logic and internal systems updated.

Inherited from Phaser.GameObjects.Container.active

- Defined in node_modules/phaser/types/phaser.d.ts:19599

### alpha

alpha: number

The alpha value of the Game Object.

This is a global value, impacting the entire Game Object, not just a region of it.

Inherited from Phaser.GameObjects.Container.alpha

- Defined in node_modules/phaser/types/phaser.d.ts:17109

### angle

angle: number

The angle of this Game Object as expressed in degrees.

Phaser uses a right-hand clockwise rotation system, where 0 is right, 90 is down, 180/-180 is left and -90 is up.

If you prefer to work in radians, see the `rotation` property instead.

Inherited from Phaser.GameObjects.Container.angle

- Defined in node_modules/phaser/types/phaser.d.ts:17505

### `Private` bg

bg: NineSlice

- Defined in src/ui/achv-bar.ts:10

### blendMode

blendMode: string | number | BlendModes

Sets the Blend Mode being used by this Game Object.

This can be a const, such as `Phaser.BlendModes.SCREEN`, or an integer, such as 4 (for Overlay)

Under WebGL only the following Blend Modes are available:

- NORMAL
- ADD
- MULTIPLY
- SCREEN
- ERASE

Canvas has more available depending on browser support.

You can also create your own custom Blend Modes in WebGL.

Blend modes have different effects under Canvas and WebGL, and from browser to browser, depending on support. Blend Modes also cause a WebGL batch flush should it encounter a new blend mode. For these reasons try to be careful about the construction of your Scene and the frequency of which blend modes are used.

Inherited from Phaser.GameObjects.Container.blendMode

- Defined in node_modules/phaser/types/phaser.d.ts:17133

### body

body: BodyType | Body | StaticBody

If this Game Object is enabled for Arcade or Matter Physics then this property will contain a reference to a Physics Body.

Inherited from Phaser.GameObjects.Container.body

- Defined in node_modules/phaser/types/phaser.d.ts:19637

### cameraFilter

cameraFilter: number

A bitmask that controls if this Game Object is drawn by a Camera or not. Not usually set directly, instead call `Camera.ignore`, however you can set this property directly using the Camera.id property:

Inherited from Phaser.GameObjects.Container.cameraFilter

- Defined in node_modules/phaser/types/phaser.d.ts:19626

### data

data: DataManager

A Data Manager. It allows you to store, query and get key/value paired information specific to this Game Object. `null` by default. Automatically created if you use `getData` or `setData` or `setDataEnabled`.

Inherited from Phaser.GameObjects.Container.data

- Defined in node_modules/phaser/types/phaser.d.ts:19612

### `Private` defaultHeight

defaultHeight: number

- Defined in src/ui/achv-bar.ts:8

### `Private` defaultWidth

defaultWidth: number

- Defined in src/ui/achv-bar.ts:7

### depth

depth: number

The depth of this Game Object within the Scene. Ensure this value is only ever set to a number data-type.

The depth is also known as the 'z-index' in some environments, and allows you to change the rendering order of Game Objects, without actually moving their position in the display list.

The default depth is zero. A Game Object with a higher depth value will always render in front of one with a lower value.

Setting the depth will queue a depth sort event within the Scene.

Inherited from Phaser.GameObjects.Container.depth

- Defined in node_modules/phaser/types/phaser.d.ts:17231

### `Private` descriptionText

descriptionText: Text

- Defined in src/ui/achv-bar.ts:14

### displayHeight

displayHeight: number

The displayed height of this Game Object.

This value takes into account the scale factor.

Setting this value will adjust the Game Object's scale property.

Inherited from Phaser.GameObjects.Container.displayHeight

- Defined in node_modules/phaser/types/phaser.d.ts:17194

### displayList

displayList: Layer | DisplayList

Holds a reference to the Display List that contains this Game Object.

This is set automatically when this Game Object is added to a Scene or Layer.

You should treat this property as being read-only.

Inherited from Phaser.GameObjects.Container.displayList

- Defined in node_modules/phaser/types/phaser.d.ts:19563

### `Readonly` displayOriginX

displayOriginX: number

Internal value to allow Containers to be used for input and physics. Do not change this value. It has no effect other than to break things.

Inherited from Phaser.GameObjects.Container.displayOriginX

- Defined in node_modules/phaser/types/phaser.d.ts:16699

### `Readonly` displayOriginY

displayOriginY: number

Internal value to allow Containers to be used for input and physics. Do not change this value. It has no effect other than to break things.

Inherited from Phaser.GameObjects.Container.displayOriginY

- Defined in node_modules/phaser/types/phaser.d.ts:16705

### displayWidth

displayWidth: number

The displayed width of this Game Object.

This value takes into account the scale factor.

Setting this value will adjust the Game Object's scale property.

Inherited from Phaser.GameObjects.Container.displayWidth

- Defined in node_modules/phaser/types/phaser.d.ts:17185

### exclusive

exclusive: boolean

Does this Container exclusively manage its children?

The default is `true` which means a child added to this Container cannot belong in another Container, which includes the Scene display list.

If you disable this then this Container will no longer exclusively manage its children. This allows you to create all kinds of interesting graphical effects, such as replicating Game Objects without reparenting them all over the Scene. However, doing so will prevent children from receiving any kind of input event or have their physics bodies work by default, as they're no longer a single entity on the display list, but are being replicated where-ever this Container is.

Inherited from Phaser.GameObjects.Container.exclusive

- Defined in node_modules/phaser/types/phaser.d.ts:16620

### `Readonly` first

first: GameObject

Returns the first Game Object within the Container, or `null` if it is empty.

You can move the cursor by calling `Container.next` and `Container.previous`.

Inherited from Phaser.GameObjects.Container.first

- Defined in node_modules/phaser/types/phaser.d.ts:17057

### hasPostPipeline

hasPostPipeline: boolean

Does this Game Object have any Post Pipelines set?

Inherited from Phaser.GameObjects.Container.hasPostPipeline

- Defined in node_modules/phaser/types/phaser.d.ts:17313

### `Readonly` hasTransformComponent

hasTransformComponent: boolean

A property indicating that a Game Object has this component.

Inherited from Phaser.GameObjects.Container.hasTransformComponent

- Defined in node_modules/phaser/types/phaser.d.ts:17453

### height

height: number

The native (un-scaled) height of this Game Object.

Changing this value will not change the size that the Game Object is rendered in-game. For that you need to either set the scale of the Game Object (`setScale`) or use the `displayHeight` property.

Inherited from Phaser.GameObjects.Container.height

- Defined in node_modules/phaser/types/phaser.d.ts:17176

### `Private` icon

icon: Sprite

- Defined in src/ui/achv-bar.ts:11

### ignoreDestroy

ignoreDestroy: boolean

This Game Object will ignore all calls made to its destroy method if this flag is set to `true`. This includes calls that may come from a Group, Container or the Scene itself. While it allows you to persist a Game Object across Scenes, please understand you are entirely responsible for managing references to and from this Game Object.

Inherited from Phaser.GameObjects.Container.ignoreDestroy

- Defined in node_modules/phaser/types/phaser.d.ts:19645

### input

input: InteractiveObject

If this Game Object is enabled for input then this property will contain an InteractiveObject instance. Not usually set directly. Instead call `GameObject.setInteractive()`.

Inherited from Phaser.GameObjects.Container.input

- Defined in node_modules/phaser/types/phaser.d.ts:19632

### `Readonly` last

last: GameObject

Returns the last Game Object within the Container, or `null` if it is empty.

You can move the cursor by calling `Container.next` and `Container.previous`.

Inherited from Phaser.GameObjects.Container.last

- Defined in node_modules/phaser/types/phaser.d.ts:17064

### `Readonly` length

length: number

The number of Game Objects inside this Container.

Inherited from Phaser.GameObjects.Container.length

- Defined in node_modules/phaser/types/phaser.d.ts:17050

### list

list: GameObject[]

An array holding the children of this Container.

Inherited from Phaser.GameObjects.Container.list

- Defined in node_modules/phaser/types/phaser.d.ts:16605

### localTransform

localTransform: TransformMatrix

Internal Transform Matrix used for local space conversion.

Inherited from Phaser.GameObjects.Container.localTransform

- Defined in node_modules/phaser/types/phaser.d.ts:16637

### mask

mask: BitmapMask | GeometryMask

The Mask this Game Object is using during render.

Inherited from Phaser.GameObjects.Container.mask

- Defined in node_modules/phaser/types/phaser.d.ts:17250

### maxSize

maxSize: number

Containers can have an optional maximum size. If set to anything above 0 it will constrict the addition of new Game Objects into the Container, capping off the maximum limit the Container can grow in size to.

Inherited from Phaser.GameObjects.Container.maxSize

- Defined in node_modules/phaser/types/phaser.d.ts:16627

### name

name: string

The name of this Game Object. Empty by default and never populated by Phaser, this is left for developers to use.

Inherited from Phaser.GameObjects.Container.name

- Defined in node_modules/phaser/types/phaser.d.ts:19592

### `Readonly` next

next: GameObject

Returns the next Game Object within the Container, or `null` if it is empty.

You can move the cursor by calling `Container.next` and `Container.previous`.

Inherited from Phaser.GameObjects.Container.next

- Defined in node_modules/phaser/types/phaser.d.ts:17071

### `Readonly` originX

originX: number

Internal value to allow Containers to be used for input and physics. Do not change this value. It has no effect other than to break things.

Inherited from Phaser.GameObjects.Container.originX

- Defined in node_modules/phaser/types/phaser.d.ts:16687

### `Readonly` originY

originY: number

Internal value to allow Containers to be used for input and physics. Do not change this value. It has no effect other than to break things.

Inherited from Phaser.GameObjects.Container.originY

- Defined in node_modules/phaser/types/phaser.d.ts:16693

### parentContainer

parentContainer: Container

The parent Container of this Game Object, if it has one.

Inherited from Phaser.GameObjects.Container.parentContainer

- Defined in node_modules/phaser/types/phaser.d.ts:19586

### position

position: number

The cursor position.

Inherited from Phaser.GameObjects.Container.position

- Defined in node_modules/phaser/types/phaser.d.ts:16632

### postFX

postFX: FX

The Post FX component of this Game Object.

This component allows you to apply a variety of built-in effects to this Game Object, such as glow, blur, bloom, displacements, vignettes and more. You access them via this property, for example:

    const player = this.add.sprite();
    player.postFX.addBloom();

All FX are WebGL only and do not have Canvas counterparts.

Please see the FX Class for more details and available methods.

This property is always `null` until the `initPostPipeline` method is called.

Inherited from Phaser.GameObjects.Container.postFX

- Defined in node_modules/phaser/types/phaser.d.ts:17375

### postPipelineData

postPipelineData: object

An object to store pipeline specific data in, to be read by the pipelines this Game Object uses.

Inherited from Phaser.GameObjects.Container.postPipelineData

- Defined in node_modules/phaser/types/phaser.d.ts:17328

### postPipelines

postPipelines: PostFXPipeline[]

The WebGL Post FX Pipelines this Game Object uses for post-render effects.

The pipelines are processed in the order in which they appear in this array.

If you modify this array directly, be sure to set the `hasPostPipeline` property accordingly.

Inherited from Phaser.GameObjects.Container.postPipelines

- Defined in node_modules/phaser/types/phaser.d.ts:17323

### preFX

preFX: FX

The Pre FX component of this Game Object.

This component allows you to apply a variety of built-in effects to this Game Object, such as glow, blur, bloom, displacements, vignettes and more. You access them via this property, for example:

    const player = this.add.sprite();
    player.preFX.addBloom();

Only the following Game Objects support Pre FX:

- Image
- Sprite
- TileSprite
- Text
- RenderTexture
- Video

All FX are WebGL only and do not have Canvas counterparts.

Please see the FX Class for more details and available methods.

Inherited from Phaser.GameObjects.Container.preFX

- Defined in node_modules/phaser/types/phaser.d.ts:17355

### `Readonly` previous

previous: GameObject

Returns the previous Game Object within the Container, or `null` if it is empty.

You can move the cursor by calling `Container.next` and `Container.previous`.

Inherited from Phaser.GameObjects.Container.previous

- Defined in node_modules/phaser/types/phaser.d.ts:17078

### `Private` queue

queue: ( Achv | Voucher )[] = []

- Defined in src/ui/achv-bar.ts:16

### renderFlags

renderFlags: number

The flags that are compared against `RENDER_MASK` to determine if this Game Object will render or not. The bits are 0001 | 0010 | 0100 | 1000 set by the components Visible, Alpha, Transform and Texture respectively. If those components are not used by your custom class then you can use this bitmask as you wish.

Inherited from Phaser.GameObjects.Container.renderFlags

- Defined in node_modules/phaser/types/phaser.d.ts:19619

### rotation

rotation: number

The angle of this Game Object in radians.

Phaser uses a right-hand clockwise rotation system, where 0 is right, PI/2 is down, +-PI is left and -PI/2 is up.

If you prefer to work in degrees, see the `angle` property instead.

Inherited from Phaser.GameObjects.Container.rotation

- Defined in node_modules/phaser/types/phaser.d.ts:17515

### scale

scale: number

This is a special setter that allows you to set both the horizontal and vertical scale of this Game Object to the same value, at the same time. When reading this value the result returned is `(scaleX + scaleY) / 2`.

Use of this property implies you wish the horizontal and vertical scales to be equal to each other. If this isn't the case, use the `scaleX` or `scaleY` properties instead.

Inherited from Phaser.GameObjects.Container.scale

- Defined in node_modules/phaser/types/phaser.d.ts:17485

### scaleX

scaleX: number

The horizontal scale of this Game Object.

Inherited from Phaser.GameObjects.Container.scaleX

- Defined in node_modules/phaser/types/phaser.d.ts:17490

### scaleY

scaleY: number

The vertical scale of this Game Object.

Inherited from Phaser.GameObjects.Container.scaleY

- Defined in node_modules/phaser/types/phaser.d.ts:17495

### scene

scene: Scene

A reference to the Scene to which this Game Object belongs.

Game Objects can only belong to one Scene.

You should consider this property as being read-only. You cannot move a Game Object to another Scene by simply changing it.

Inherited from Phaser.GameObjects.Container.scene

- Defined in node_modules/phaser/types/phaser.d.ts:19554

### `Private` scoreText

scoreText: Text

- Defined in src/ui/achv-bar.ts:13

### scrollFactorX

scrollFactorX: number

The horizontal scroll factor of this Container.

The scroll factor controls the influence of the movement of a Camera upon this Container.

When a camera scrolls it will change the location at which this Container is rendered on-screen. It does not change the Containers actual position values.

For a Container, setting this value will only update the Container itself, not its children. If you wish to change the scrollFactor of the children as well, use the `setScrollFactor` method.

A value of 1 means it will move exactly in sync with a camera. A value of 0 means it will not move at all, even if the camera moves. Other values control the degree to which the camera movement is mapped to this Container.

Please be aware that scroll factor values other than 1 are not taken in to consideration when calculating physics collisions. Bodies always collide based on their world position, but changing the scroll factor is a visual adjustment to where the textures are rendered, which can offset them from physics bodies if not accounted for in your code.

Inherited from Phaser.GameObjects.Container.scrollFactorX

- Defined in node_modules/phaser/types/phaser.d.ts:16659

### scrollFactorY

scrollFactorY: number

The vertical scroll factor of this Container.

The scroll factor controls the influence of the movement of a Camera upon this Container.

When a camera scrolls it will change the location at which this Container is rendered on-screen. It does not change the Containers actual position values.

For a Container, setting this value will only update the Container itself, not its children. If you wish to change the scrollFactor of the children as well, use the `setScrollFactor` method.

A value of 1 means it will move exactly in sync with a camera. A value of 0 means it will not move at all, even if the camera moves. Other values control the degree to which the camera movement is mapped to this Container.

Please be aware that scroll factor values other than 1 are not taken in to consideration when calculating physics collisions. Bodies always collide based on their world position, but changing the scroll factor is a visual adjustment to where the textures are rendered, which can offset them from physics bodies if not accounted for in your code.

Inherited from Phaser.GameObjects.Container.scrollFactorY

- Defined in node_modules/phaser/types/phaser.d.ts:16681

### shown

shown: boolean

- Defined in src/ui/achv-bar.ts:18

### state

state: string | number

The current state of this Game Object.

Phaser itself will never modify this value, although plugins may do so.

Use this property to track the state of a Game Object during its lifetime. For example, it could change from a state of 'moving', to 'attacking', to 'dead'. The state value should be an integer (ideally mapped to a constant in your game code), or a string. These are recommended to keep it light and simple, with fast comparisons. If you need to store complex data about your Game Object, look at using the Data Component instead.

Inherited from Phaser.GameObjects.Container.state

- Defined in node_modules/phaser/types/phaser.d.ts:19581

### tabIndex

tabIndex: number

The Tab Index of the Game Object. Reserved for future use by plugins and the Input Manager.

Inherited from Phaser.GameObjects.Container.tabIndex

- Defined in node_modules/phaser/types/phaser.d.ts:19605

### `Private` titleText

titleText: Text

- Defined in src/ui/achv-bar.ts:12

### type

type: string

A textual representation of this Game Object, i.e. `sprite`. Used internally by Phaser but is available for your own custom classes to populate.

Inherited from Phaser.GameObjects.Container.type

- Defined in node_modules/phaser/types/phaser.d.ts:19569

### visible

visible: boolean

The visible state of the Game Object.

An invisible Game Object will skip rendering, but will still process update logic.

Inherited from Phaser.GameObjects.Container.visible

- Defined in node_modules/phaser/types/phaser.d.ts:17634

### w

w: number

The w position of this Game Object.

Inherited from Phaser.GameObjects.Container.w

- Defined in node_modules/phaser/types/phaser.d.ts:17476

### width

width: number

The native (un-scaled) width of this Game Object.

Changing this value will not change the size that the Game Object is rendered in-game. For that you need to either set the scale of the Game Object (`setScale`) or use the `displayWidth` property.

Inherited from Phaser.GameObjects.Container.width

- Defined in node_modules/phaser/types/phaser.d.ts:17167

### x

x: number

The x position of this Game Object.

Inherited from Phaser.GameObjects.Container.x

- Defined in node_modules/phaser/types/phaser.d.ts:17458

### y

y: number

The y position of this Game Object.

Inherited from Phaser.GameObjects.Container.y

- Defined in node_modules/phaser/types/phaser.d.ts:17463

### z

z: number

The z position of this Game Object.

Note: The z position does not control the rendering order of 2D Game Objects. Use Phaser.GameObjects.Components.Depth#depth instead.

Inherited from Phaser.GameObjects.Container.z

- Defined in node_modules/phaser/types/phaser.d.ts:17471

### `Static` `Readonly` RENDER_MASK

RENDER_MASK: number

The bitmask that `GameObject.renderFlags` is compared against to determine if the Game Object will render or not.

Inherited from Phaser.GameObjects.Container.RENDER_MASK

- Defined in node_modules/phaser/types/phaser.d.ts:19949

## Methods

### add

- add< T >(child): this

- Adds the given Game Object, or array of Game Objects, to this Container.

  Each Game Object must be unique within the Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child: T | T []

    The Game Object, or array of Game Objects, to add to the Container.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.add

  - Defined in node_modules/phaser/types/phaser.d.ts:16760

### addAt

- addAt< T >(child, index?): this

- Adds the given Game Object, or array of Game Objects, to this Container at the specified position.

  Existing Game Objects in the Container are shifted up.

  Each Game Object must be unique within the Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child: T | T []

    The Game Object, or array of Game Objects, to add to the Container.

  - `Optional` index: number

    The position to insert the Game Object/s at. Default 0.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.addAt

  - Defined in node_modules/phaser/types/phaser.d.ts:16771

### addListener

- addListener(event, fn, context?): this

- Add a listener for a given event.

  #### Parameters

  - event: string | symbol

    The event name.

  - fn: Function

    The listener function.

  - `Optional` context: any

    The context to invoke the listener with. Default this.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.addListener

  - Defined in node_modules/phaser/types/phaser.d.ts:9951

### addToDisplayList

- addToDisplayList(displayList?): this

- Adds this Game Object to the given Display List.

  If no Display List is specified, it will default to the Display List owned by the Scene to which this Game Object belongs.

  A Game Object can only exist on one Display List at any given time, but may move freely between them.

  If this Game Object is already on another Display List when this method is called, it will first be removed from it, before being added to the new list.

  You can query which list it is on by looking at the `Phaser.GameObjects.GameObject#displayList` property.

  If a Game Object isn't on any display list, it will not be rendered. If you just wish to temporarly disable it from rendering, consider using the `setVisible` method, instead.

  #### Parameters

  - `Optional` displayList: Layer | DisplayList

    The Display List to add to. Defaults to the Scene Display List.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.addToDisplayList

  - Defined in node_modules/phaser/types/phaser.d.ts:19891

### addToUpdateList

- addToUpdateList(): this

- Adds this Game Object to the Update List belonging to the Scene.

  When a Game Object is added to the Update List it will have its `preUpdate` method called every game frame. This method is passed two parameters: `delta` and `time`.

  If you wish to run your own logic within `preUpdate` then you should always call `super.preUpdate(delta, time)` within it, or it may fail to process required operations, such as Sprite animations.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.addToUpdateList

  - Defined in node_modules/phaser/types/phaser.d.ts:19903

### addedToScene

- addedToScene(): void

- This callback is invoked when this Game Object is added to a Scene.

  Can be overriden by custom Game Objects, but be aware of some Game Objects that will use this, such as Sprites, to add themselves into the Update List.

  You can also listen for the `ADDED_TO_SCENE` event from this Game Object.

  #### Returns void

  Inherited from Phaser.GameObjects.Container.addedToScene

  - Defined in node_modules/phaser/types/phaser.d.ts:19834

### bringToTop

- bringToTop< T >(child): this

- Brings the given Game Object to the top of this Container. This will cause it to render on-top of any other objects in the Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child: T

    The Game Object to bring to the top of the Container.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.bringToTop

  - Defined in node_modules/phaser/types/phaser.d.ts:16939

### clearAlpha

- clearAlpha(): this

- Clears all alpha values associated with this Game Object.

  Immediately sets the alpha levels back to 1 (fully opaque).

  #### Returns this

  Inherited from Phaser.GameObjects.Container.clearAlpha

  - Defined in node_modules/phaser/types/phaser.d.ts:17095

### clearFX

- clearFX(): this

- Removes all Pre and Post FX Controllers from this Game Object.

  If you wish to remove a single controller, use the `preFX.remove(fx)` or `postFX.remove(fx)` methods instead.

  If you wish to clear a single controller, use the `preFX.clear()` or `postFX.clear()` methods instead.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.clearFX

  - Defined in node_modules/phaser/types/phaser.d.ts:17448

### clearMask

- clearMask(destroyMask?): this

- Clears the mask that this Game Object was using.

  #### Parameters

  - `Optional` destroyMask: boolean

    Destroy the mask before clearing it? Default false.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.clearMask

  - Defined in node_modules/phaser/types/phaser.d.ts:17273

### copyPosition

- copyPosition(source): this

- Copies an object's coordinates to this Game Object's position.

  #### Parameters

  - source: Vector2Like | Vector3Like | Vector4Like

    An object with numeric 'x', 'y', 'z', or 'w' properties. Undefined values are not copied.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.copyPosition

  - Defined in node_modules/phaser/types/phaser.d.ts:17530

### count

- count(property, value, startIndex?, endIndex?): number

- Returns the total number of Game Objects in this Container that have a property matching the given value.

  For example: `count('visible', true)` would count all the elements that have their visible property set.

  You can optionally limit the operation to the `startIndex` - `endIndex` range.

  #### Parameters

  - property: string

    The property to check.

  - value: any

    The value to check.

  - `Optional` startIndex: number

    An optional start index to search from. Default 0.

  - `Optional` endIndex: number

    An optional end index to search up to (but not included) Default Container.length.

  #### Returns number

  Inherited from Phaser.GameObjects.Container.count

  - Defined in node_modules/phaser/types/phaser.d.ts:16856

### createBitmapMask

- createBitmapMask< G , T >(maskObject?, x?, y?, texture?, frame?): BitmapMask

- Creates and returns a Bitmap Mask. This mask can be used by any Game Object, including this one, or a Dynamic Texture.

  Note: Bitmap Masks only work on WebGL. Geometry Masks work on both WebGL and Canvas.

  To create the mask you need to pass in a reference to a renderable Game Object. A renderable Game Object is one that uses a texture to render with, such as an Image, Sprite, Render Texture or BitmapText.

  If you do not provide a renderable object, and this Game Object has a texture, it will use itself as the object. This means you can call this method to create a Bitmap Mask from any renderable texture-based Game Object.

  #### Type Parameters

  - G extends GameObject
  - T extends DynamicTexture

  #### Parameters

  - `Optional` maskObject: GameObject | DynamicTexture

    The Game Object or Dynamic Texture that will be used as the mask. If `null` it will generate an Image Game Object using the rest of the arguments.

  - `Optional` x: number

    If creating a Game Object, the horizontal position in the world.

  - `Optional` y: number

    If creating a Game Object, the vertical position in the world.

  - `Optional` texture: string | Texture

    If creating a Game Object, the key, or instance of the Texture it will use to render with, as stored in the Texture Manager.

  - `Optional` frame: string | number | Frame

    If creating a Game Object, an optional frame from the Texture this Game Object is rendering with.

  #### Returns BitmapMask

  Inherited from Phaser.GameObjects.Container.createBitmapMask

  - Defined in node_modules/phaser/types/phaser.d.ts:17294

### createGeometryMask

- createGeometryMask< G , S >(graphics?): GeometryMask

- Creates and returns a Geometry Mask. This mask can be used by any Game Object, including this one.

  To create the mask you need to pass in a reference to a Graphics Game Object.

  If you do not provide a graphics object, and this Game Object is an instance of a Graphics object, then it will use itself to create the mask.

  This means you can call this method to create a Geometry Mask from any Graphics Game Object.

  #### Type Parameters

  - G extends Graphics
  - S extends Shape

  #### Parameters

  - `Optional` graphics: Graphics | Shape

    A Graphics Game Object, or any kind of Shape Game Object. The geometry within it will be used as the mask.

  #### Returns GeometryMask

  Inherited from Phaser.GameObjects.Container.createGeometryMask

  - Defined in node_modules/phaser/types/phaser.d.ts:17308

### destroy

- destroy(fromScene?): void

- Destroys this Game Object removing it from the Display List and Update List and severing all ties to parent resources.

  Also removes itself from the Input Manager and Physics Manager if previously enabled.

  Use this to remove a Game Object from your game if you don't ever plan to use it again. As long as no reference to it exists within your own code it should become free for garbage collection by the browser.

  If you just want to temporarily disable an object then look at using the Game Object Pool instead of destroying it, as destroyed objects cannot be resurrected.

  #### Parameters

  - `Optional` fromScene: boolean

    `True` if this Game Object is being destroyed by the Scene, `false` if not. Default false.

  #### Returns void

  Inherited from Phaser.GameObjects.Container.destroy

  - Defined in node_modules/phaser/types/phaser.d.ts:19944

### disableInteractive

- disableInteractive(): this

- If this Game Object has previously been enabled for input, this will disable it.

  An object that is disabled for input stops processing or being considered for input events, but can be turned back on again at any time by simply calling `setInteractive()` with no arguments provided.

  If want to completely remove interaction from this Game Object then use `removeInteractive` instead.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.disableInteractive

  - Defined in node_modules/phaser/types/phaser.d.ts:19802

### each

- each(callback, context?, ...args): this

- Passes all Game Objects in this Container to the given callback.

  A copy of the Container is made before passing each entry to your callback. This protects against the callback itself modifying the Container.

  If you know for sure that the callback will not change the size of this Container then you can use the more performant `Container.iterate` method instead.

  #### Parameters

  - callback: Function

    The function to call.

  - `Optional` context: object

    Value to use as `this` when executing callback.

  - `Rest` ...args: any[]

    Additional arguments that will be passed to the callback, after the child.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.each

  - Defined in node_modules/phaser/types/phaser.d.ts:17012

### emit

- emit(event, ...args): boolean

- Calls each of the listeners registered for a given event.

  #### Parameters

  - event: string | symbol

    The event name.

  - `Rest` ...args: any[]

    Additional arguments that will be passed to the event handler.

  #### Returns boolean

  Inherited from Phaser.GameObjects.Container.emit

  - Defined in node_modules/phaser/types/phaser.d.ts:9935

### eventNames

- eventNames(): (string | symbol)[]

- Return an array listing the events for which the emitter has registered listeners.

  #### Returns (string | symbol)[]

  Inherited from Phaser.GameObjects.Container.eventNames

  - Defined in node_modules/phaser/types/phaser.d.ts:9916

### exists

- exists< T >(child): boolean

- Returns `true` if the given Game Object is a direct child of this Container.

  This check does not scan nested Containers.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child: T

    The Game Object to check for within this Container.

  #### Returns boolean

  Inherited from Phaser.GameObjects.Container.exists

  - Defined in node_modules/phaser/types/phaser.d.ts:16985

### getAll

- getAll< T >(property?, value?, startIndex?, endIndex?): T []

- Returns all Game Objects in this Container.

  You can optionally specify a matching criteria using the `property` and `value` arguments.

  For example: `getAll('body')` would return only Game Objects that have a body property.

  You can also specify a value to compare the property to:

  `getAll('visible', true)` would return only Game Objects that have their visible property set to `true`.

  Optionally you can specify a start and end index. For example if this Container had 100 Game Objects, and you set `startIndex` to 0 and `endIndex` to 50, it would return matches from only the first 50 Game Objects.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - `Optional` property: string

    The property to test on each Game Object in the Container.

  - `Optional` value: any

    If property is set then the `property` must strictly equal this value to be included in the results.

  - `Optional` startIndex: number

    An optional start index to search from. Default 0.

  - `Optional` endIndex: number

    An optional end index to search up to (but not included) Default Container.length.

  #### Returns T []

  Inherited from Phaser.GameObjects.Container.getAll

  - Defined in node_modules/phaser/types/phaser.d.ts:16842

### getAt

- getAt< T >(index): T

- Returns the Game Object at the given position in this Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - index: number

    The position to get the Game Object from.

  #### Returns T

  Inherited from Phaser.GameObjects.Container.getAt

  - Defined in node_modules/phaser/types/phaser.d.ts:16777

### getBounds

- getBounds(output?): Rectangle

- Gets the bounds of this Container. It works by iterating all children of the Container, getting their respective bounds, and then working out a min-max rectangle from that. It does not factor in if the children render or not, all are included.

  Some children are unable to return their bounds, such as Graphics objects, in which case they are skipped.

  Depending on the quantity of children in this Container it could be a really expensive call, so cache it and only poll it as needed.

  The values are stored and returned in a Rectangle object.

  #### Parameters

  - `Optional` output: Rectangle

    A Geom.Rectangle object to store the values in. If not provided a new Rectangle will be created.

  #### Returns Rectangle

  Inherited from Phaser.GameObjects.Container.getBounds

  - Defined in node_modules/phaser/types/phaser.d.ts:16737

### getBoundsTransformMatrix

- getBoundsTransformMatrix(): TransformMatrix

- Returns the world transform matrix as used for Bounds checks.

  The returned matrix is temporal and shouldn't be stored.

  #### Returns TransformMatrix

  Inherited from Phaser.GameObjects.Container.getBoundsTransformMatrix

  - Defined in node_modules/phaser/types/phaser.d.ts:16752

### getByName

- getByName< T >(name): T

- Searches for the first instance of a child with its `name` property matching the given argument. Should more than one child have the same name only the first is returned.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - name: string

    The name to search for.

  #### Returns T

  Inherited from Phaser.GameObjects.Container.getByName

  - Defined in node_modules/phaser/types/phaser.d.ts:16798

### getData

- getData(key): any

- Retrieves the value for the given key in this Game Objects Data Manager, or undefined if it doesn't exist.

  You can also access values via the `values` object. For example, if you had a key called `gold` you can do either:

      sprite.getData('gold');

  Or access the value directly:

      sprite.data.values.gold;

  You can also pass in an array of keys, in which case an array of values will be returned:

      sprite.getData([ 'gold', 'armor', 'health' ]);

  This approach is useful for destructuring arrays in ES6.

  #### Parameters

  - key: string | string[]

    The key of the value to retrieve, or an array of keys.

  #### Returns any

  Inherited from Phaser.GameObjects.Container.getData

  - Defined in node_modules/phaser/types/phaser.d.ts:19773

### getFirst

- getFirst< T >(property, value, startIndex?, endIndex?): T

- Gets the first Game Object in this Container.

  You can also specify a property and value to search for, in which case it will return the first Game Object in this Container with a matching property and / or value.

  For example: `getFirst('visible', true)` would return the first Game Object that had its `visible` property set.

  You can limit the search to the `startIndex` - `endIndex` range.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - property: string

    The property to test on each Game Object in the Container.

  - value: any

    The value to test the property against. Must pass a strict (`===`) comparison check.

  - `Optional` startIndex: number

    An optional start index to search from. Default 0.

  - `Optional` endIndex: number

    An optional end index to search up to (but not included) Default Container.length.

  #### Returns T

  Inherited from Phaser.GameObjects.Container.getFirst

  - Defined in node_modules/phaser/types/phaser.d.ts:16821

### getIndex

- getIndex< T >(child): number

- Returns the index of the given Game Object in this Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child: T

    The Game Object to search for in this Container.

  #### Returns number

  Inherited from Phaser.GameObjects.Container.getIndex

  - Defined in node_modules/phaser/types/phaser.d.ts:16783

### getIndexList

- getIndexList(): number[]

- Returns an array containing the display list index of either this Game Object, or if it has one, its parent Container. It then iterates up through all of the parent containers until it hits the root of the display list (which is index 0 in the returned array).

  Used internally by the InputPlugin but also useful if you wish to find out the display depth of this Game Object and all of its ancestors.

  #### Returns number[]

  Inherited from Phaser.GameObjects.Container.getIndexList

  - Defined in node_modules/phaser/types/phaser.d.ts:19872

### getLocalPoint

- getLocalPoint(x, y, point?, camera?): Vector2

- Takes the given `x` and `y` coordinates and converts them into local space for this Game Object, taking into account parent and local transforms, and the Display Origin.

  The returned Vector2 contains the translated point in its properties.

  A Camera needs to be provided in order to handle modified scroll factors. If no camera is specified, it will use the `main` camera from the Scene to which this Game Object belongs.

  #### Parameters

  - x: number

    The x position to translate.

  - y: number

    The y position to translate.

  - `Optional` point: Vector2

    A Vector2, or point-like object, to store the results in.

  - `Optional` camera: Camera

    The Camera which is being tested against. If not given will use the Scene default camera.

  #### Returns Vector2

  Inherited from Phaser.GameObjects.Container.getLocalPoint

  - Defined in node_modules/phaser/types/phaser.d.ts:17620

### getLocalTransformMatrix

- getLocalTransformMatrix(tempMatrix?): TransformMatrix

- Gets the local transform matrix for this Game Object.

  #### Parameters

  - `Optional` tempMatrix: TransformMatrix

    The matrix to populate with the values from this Game Object.

  #### Returns TransformMatrix

  Inherited from Phaser.GameObjects.Container.getLocalTransformMatrix

  - Defined in node_modules/phaser/types/phaser.d.ts:17597

### getParentRotation

- getParentRotation(): number

- Gets the sum total rotation of all of this Game Objects parent Containers.

  The returned value is in radians and will be zero if this Game Object has no parent container.

  #### Returns number

  Inherited from Phaser.GameObjects.Container.getParentRotation

  - Defined in node_modules/phaser/types/phaser.d.ts:17627

### getPostPipeline

- getPostPipeline(pipeline): PostFXPipeline | PostFXPipeline[]

- Gets a Post Pipeline instance from this Game Object, based on the given name, and returns it.

  #### Parameters

  - pipeline: string | Function | PostFXPipeline

    The string-based name of the pipeline, or a pipeline class.

  #### Returns PostFXPipeline | PostFXPipeline[]

  Inherited from Phaser.GameObjects.Container.getPostPipeline

  - Defined in node_modules/phaser/types/phaser.d.ts:17424

### getRandom

- getRandom< T >(startIndex?, length?): T

- Returns a random Game Object from this Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - `Optional` startIndex: number

    An optional start index. Default 0.

  - `Optional` length: number

    An optional length, the total number of elements (from the startIndex) to choose from.

  #### Returns T

  Inherited from Phaser.GameObjects.Container.getRandom

  - Defined in node_modules/phaser/types/phaser.d.ts:16805

### getWorldTransformMatrix

- getWorldTransformMatrix(tempMatrix?, parentMatrix?): TransformMatrix

- Gets the world transform matrix for this Game Object, factoring in any parent Containers.

  #### Parameters

  - `Optional` tempMatrix: TransformMatrix

    The matrix to populate with the values from this Game Object.

  - `Optional` parentMatrix: TransformMatrix

    A temporary matrix to hold parent values during the calculations.

  #### Returns TransformMatrix

  Inherited from Phaser.GameObjects.Container.getWorldTransformMatrix

  - Defined in node_modules/phaser/types/phaser.d.ts:17604

### `Protected` hide

- hide(): void

- #### Returns void

  - Defined in src/ui/achv-bar.ts:105

### incData

- incData(key, amount?): this

- Increase a value for the given key within this Game Objects Data Manager. If the key doesn't already exist in the Data Manager then it is increased from 0.

  If the Game Object has not been enabled for data (via `setDataEnabled`) then it will be enabled before setting the value.

  If the key doesn't already exist in the Data Manager then it is created.

  When the value is first set, a `setdata` event is emitted from this Game Object.

  #### Parameters

  - key: string

    The key to change the value for.

  - `Optional` amount: number

    The amount to increase the given key by. Pass a negative value to decrease the key. Default 1.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.incData

  - Defined in node_modules/phaser/types/phaser.d.ts:19734

### initPostPipeline

- initPostPipeline(preFX?): void

- This should only be called during the instantiation of the Game Object.

  It is called by default by all core Game Objects and doesn't need calling again.

  After that, use `setPostPipeline`.

  #### Parameters

  - `Optional` preFX: boolean

    Does this Game Object support Pre FX? Default false.

  #### Returns void

  Inherited from Phaser.GameObjects.Container.initPostPipeline

  - Defined in node_modules/phaser/types/phaser.d.ts:17386

### iterate

- iterate(callback, context?, ...args): this

- Passes all Game Objects in this Container to the given callback.

  Only use this method when you absolutely know that the Container will not be modified during the iteration, i.e. by removing or adding to its contents.

  #### Parameters

  - callback: Function

    The function to call.

  - `Optional` context: object

    Value to use as `this` when executing callback.

  - `Rest` ...args: any[]

    Additional arguments that will be passed to the callback, after the child.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.iterate

  - Defined in node_modules/phaser/types/phaser.d.ts:17023

### listenerCount

- listenerCount(event): number

- Return the number of listeners listening to a given event.

  #### Parameters

  - event: string | symbol

    The event name.

  #### Returns number

  Inherited from Phaser.GameObjects.Container.listenerCount

  - Defined in node_modules/phaser/types/phaser.d.ts:9928

### listeners

- listeners(event): Function[]

- Return the listeners registered for a given event.

  #### Parameters

  - event: string | symbol

    The event name.

  #### Returns Function[]

  Inherited from Phaser.GameObjects.Container.listeners

  - Defined in node_modules/phaser/types/phaser.d.ts:9922

### moveAbove

- moveAbove< T >(child1, child2): this

- Moves a Game Object above another one within this Container.

  These 2 Game Objects must already be children of this Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child1: T

    The Game Object to move above base Game Object.

  - child2: T

    The base Game Object.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.moveAbove

  - Defined in node_modules/phaser/types/phaser.d.ts:16885

### moveBelow

- moveBelow< T >(child1, child2): this

- Moves a Game Object below another one within this Container.

  These 2 Game Objects must already be children of this Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child1: T

    The Game Object to move below base Game Object.

  - child2: T

    The base Game Object.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.moveBelow

  - Defined in node_modules/phaser/types/phaser.d.ts:16894

### moveDown

- moveDown< T >(child): this

- Moves the given Game Object down one place in this Container, unless it's already at the bottom.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child: T

    The Game Object to be moved in the Container.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.moveDown

  - Defined in node_modules/phaser/types/phaser.d.ts:16958

### moveTo

- moveTo< T >(child, index): this

- Moves a Game Object to a new position within this Container.

  The Game Object must already be a child of this Container.

  The Game Object is removed from its old position and inserted into the new one. Therefore the Container size does not change. Other children will change position accordingly.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child: T

    The Game Object to move.

  - index: number

    The new position of the Game Object in this Container.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.moveTo

  - Defined in node_modules/phaser/types/phaser.d.ts:16876

### moveUp

- moveUp< T >(child): this

- Moves the given Game Object up one place in this Container, unless it's already at the top.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child: T

    The Game Object to be moved in the Container.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.moveUp

  - Defined in node_modules/phaser/types/phaser.d.ts:16952

### off

- off(event, fn?, context?, once?): this

- Remove the listeners of a given event.

  #### Parameters

  - event: string | symbol

    The event name.

  - `Optional` fn: Function

    Only remove the listeners that match this function.

  - `Optional` context: any

    Only remove the listeners that have this context.

  - `Optional` once: boolean

    Only remove one-time listeners.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.off

  - Defined in node_modules/phaser/types/phaser.d.ts:9977

### on

- on(event, fn, context?): this

- Add a listener for a given event.

  #### Parameters

  - event: string | symbol

    The event name.

  - fn: Function

    The listener function.

  - `Optional` context: any

    The context to invoke the listener with. Default this.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.on

  - Defined in node_modules/phaser/types/phaser.d.ts:9943

### `Protected` onChildDestroyed

- onChildDestroyed(): void

- Internal handler, called when a child is destroyed.

  #### Returns void

  Inherited from Phaser.GameObjects.Container.onChildDestroyed

  - Defined in node_modules/phaser/types/phaser.d.ts:17088

### once

- once(event, fn, context?): this

- Add a one-time listener for a given event.

  #### Parameters

  - event: string | symbol

    The event name.

  - fn: Function

    The listener function.

  - `Optional` context: any

    The context to invoke the listener with. Default this.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.once

  - Defined in node_modules/phaser/types/phaser.d.ts:9959

### pointToContainer

- pointToContainer(source, output?): Vector2Like

- Takes a Point-like object, such as a Vector2, Geom.Point or object with public x and y properties, and transforms it into the space of this Container, then returns it in the output object.

  #### Parameters

  - source: Vector2Like

    The Source Point to be transformed.

  - `Optional` output: Vector2Like

    A destination object to store the transformed point in. If none given a Vector2 will be created and returned.

  #### Returns Vector2Like

  Inherited from Phaser.GameObjects.Container.pointToContainer

  - Defined in node_modules/phaser/types/phaser.d.ts:16745

### `Protected` preDestroy

- preDestroy(): void

- Internal destroy handler, called as part of the destroy process.

  #### Returns void

  Inherited from Phaser.GameObjects.Container.preDestroy

  - Defined in node_modules/phaser/types/phaser.d.ts:17083

### remove

- remove< T >(child, destroyChild?): this

- Removes the given Game Object, or array of Game Objects, from this Container.

  The Game Objects must already be children of this Container.

  You can also optionally call `destroy` on each Game Object that is removed from the Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child: T | T []

    The Game Object, or array of Game Objects, to be removed from the Container.

  - `Optional` destroyChild: boolean

    Optionally call `destroy` on each child successfully removed from this Container. Default false.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.remove

  - Defined in node_modules/phaser/types/phaser.d.ts:16905

### removeAll

- removeAll(destroyChild?): this

- Removes all Game Objects from this Container.

  You can also optionally call `destroy` on each Game Object that is removed from the Container.

  #### Parameters

  - `Optional` destroyChild: boolean

    Optionally call `destroy` on each Game Object successfully removed from this Container. Default false.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.removeAll

  - Defined in node_modules/phaser/types/phaser.d.ts:16932

### removeAllListeners

- removeAllListeners(event?): this

- Remove all listeners, or those of the specified event.

  #### Parameters

  - `Optional` event: string | symbol

    The event name.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.removeAllListeners

  - Defined in node_modules/phaser/types/phaser.d.ts:9983

### removeAt

- removeAt(index, destroyChild?): this

- Removes the Game Object at the given position in this Container.

  You can also optionally call `destroy` on the Game Object, if one is found.

  #### Parameters

  - index: number

    The index of the Game Object to be removed.

  - `Optional` destroyChild: boolean

    Optionally call `destroy` on the Game Object if successfully removed from this Container. Default false.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.removeAt

  - Defined in node_modules/phaser/types/phaser.d.ts:16914

### removeBetween

- removeBetween(startIndex?, endIndex?, destroyChild?): this

- Removes the Game Objects between the given positions in this Container.

  You can also optionally call `destroy` on each Game Object that is removed from the Container.

  #### Parameters

  - `Optional` startIndex: number

    An optional start index to search from. Default 0.

  - `Optional` endIndex: number

    An optional end index to search up to (but not included) Default Container.length.

  - `Optional` destroyChild: boolean

    Optionally call `destroy` on each Game Object successfully removed from this Container. Default false.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.removeBetween

  - Defined in node_modules/phaser/types/phaser.d.ts:16924

### removeFromDisplayList

- removeFromDisplayList(): this

- Removes this Game Object from the Display List it is currently on.

  A Game Object can only exist on one Display List at any given time, but may move freely removed and added back at a later stage.

  You can query which list it is on by looking at the `Phaser.GameObjects.GameObject#displayList` property.

  If a Game Object isn't on any Display List, it will not be rendered. If you just wish to temporarly disable it from rendering, consider using the `setVisible` method, instead.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.removeFromDisplayList

  - Defined in node_modules/phaser/types/phaser.d.ts:19916

### removeFromUpdateList

- removeFromUpdateList(): this

- Removes this Game Object from the Scene's Update List.

  When a Game Object is on the Update List, it will have its `preUpdate` method called every game frame. Calling this method will remove it from the list, preventing this.

  Removing a Game Object from the Update List will stop most internal functions working. For example, removing a Sprite from the Update List will prevent it from being able to run animations.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.removeFromUpdateList

  - Defined in node_modules/phaser/types/phaser.d.ts:19928

### removeInteractive

- removeInteractive(): this

- If this Game Object has previously been enabled for input, this will queue it for removal, causing it to no longer be interactive. The removal happens on the next game step, it is not immediate.

  The Interactive Object that was assigned to this Game Object will be destroyed, removed from the Input Manager and cleared from this Game Object.

  If you wish to re-enable this Game Object at a later date you will need to re-create its InteractiveObject by calling `setInteractive` again.

  If you wish to only temporarily stop an object from receiving input then use `disableInteractive` instead, as that toggles the interactive state, where-as this erases it completely.

  If you wish to resize a hit area, don't remove and then set it as being interactive. Instead, access the hitarea object directly and resize the shape being used. I.e.: `sprite.input.hitArea.setSize(width, height)` (assuming the shape is a Rectangle, which it is by default.)

  #### Returns this

  Inherited from Phaser.GameObjects.Container.removeInteractive

  - Defined in node_modules/phaser/types/phaser.d.ts:19824

### removeListener

- removeListener(event, fn?, context?, once?): this

- Remove the listeners of a given event.

  #### Parameters

  - event: string | symbol

    The event name.

  - `Optional` fn: Function

    Only remove the listeners that match this function.

  - `Optional` context: any

    Only remove the listeners that have this context.

  - `Optional` once: boolean

    Only remove one-time listeners.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.removeListener

  - Defined in node_modules/phaser/types/phaser.d.ts:9968

### removePostPipeline

- removePostPipeline(pipeline): this

- Removes a type of Post Pipeline instances from this Game Object, based on the given name, and destroys them.

  If you wish to remove all Post Pipelines use the `resetPostPipeline` method instead.

  #### Parameters

  - pipeline: string | PostFXPipeline

    The string-based name of the pipeline, or a pipeline class.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.removePostPipeline

  - Defined in node_modules/phaser/types/phaser.d.ts:17439

### removedFromScene

- removedFromScene(): void

- This callback is invoked when this Game Object is removed from a Scene.

  Can be overriden by custom Game Objects, but be aware of some Game Objects that will use this, such as Sprites, to removed themselves from the Update List.

  You can also listen for the `REMOVED_FROM_SCENE` event from this Game Object.

  #### Returns void

  Inherited from Phaser.GameObjects.Container.removedFromScene

  - Defined in node_modules/phaser/types/phaser.d.ts:19844

### replace

- replace< T >(oldChild, newChild, destroyChild?): this

- Replaces a Game Object in this Container with the new Game Object. The new Game Object cannot already be a child of this Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - oldChild: T

    The Game Object in this Container that will be replaced.

  - newChild: T

    The Game Object to be added to this Container.

  - `Optional` destroyChild: boolean

    Optionally call `destroy` on the Game Object if successfully removed from this Container. Default false.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.replace

  - Defined in node_modules/phaser/types/phaser.d.ts:16977

### resetPostPipeline

- resetPostPipeline(resetData?): void

- Resets the WebGL Post Pipelines of this Game Object. It does this by calling the `destroy` method on each post pipeline and then clearing the local array.

  #### Parameters

  - `Optional` resetData: boolean

    Reset the `postPipelineData` object to being an empty object? Default false.

  #### Returns void

  Inherited from Phaser.GameObjects.Container.resetPostPipeline

  - Defined in node_modules/phaser/types/phaser.d.ts:17431

### reverse

- reverse(): this

- Reverses the order of all Game Objects in this Container.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.reverse

  - Defined in node_modules/phaser/types/phaser.d.ts:16963

### sendToBack

- sendToBack< T >(child): this

- Sends the given Game Object to the bottom of this Container. This will cause it to render below any other objects in the Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child: T

    The Game Object to send to the bottom of the Container.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.sendToBack

  - Defined in node_modules/phaser/types/phaser.d.ts:16946

### setActive

- setActive(value): this

- Sets the `active` property of this Game Object and returns this Game Object for further chaining. A Game Object with its `active` property set to `true` will be updated by the Scenes UpdateList.

  #### Parameters

  - value: boolean

    True if this Game Object should be set as active, false if not.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setActive

  - Defined in node_modules/phaser/types/phaser.d.ts:19652

### setAll

- setAll(property, value, startIndex?, endIndex?): this

- Sets the property to the given value on all Game Objects in this Container.

  Optionally you can specify a start and end index. For example if this Container had 100 Game Objects, and you set `startIndex` to 0 and `endIndex` to 50, it would return matches from only the first 50 Game Objects.

  #### Parameters

  - property: string

    The property that must exist on the Game Object.

  - value: any

    The value to get the property to.

  - `Optional` startIndex: number

    An optional start index to search from. Default 0.

  - `Optional` endIndex: number

    An optional end index to search up to (but not included) Default Container.length.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setAll

  - Defined in node_modules/phaser/types/phaser.d.ts:16998

### setAlpha

- setAlpha(value?): this

- Set the Alpha level of this Game Object. The alpha controls the opacity of the Game Object as it renders. Alpha values are provided as a float between 0, fully transparent, and 1, fully opaque.

  #### Parameters

  - `Optional` value: number

    The alpha value applied across the whole Game Object. Default 1.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setAlpha

  - Defined in node_modules/phaser/types/phaser.d.ts:17102

### setAngle

- setAngle(degrees?): this

- Sets the angle of this Game Object.

  #### Parameters

  - `Optional` degrees: number

    The rotation of this Game Object, in degrees. Default 0.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setAngle

  - Defined in node_modules/phaser/types/phaser.d.ts:17557

### setBlendMode

- setBlendMode(value): this

- Sets the Blend Mode being used by this Game Object.

  This can be a const, such as `Phaser.BlendModes.SCREEN`, or an integer, such as 4 (for Overlay)

  Under WebGL only the following Blend Modes are available:

  - NORMAL
  - ADD
  - MULTIPLY
  - SCREEN
  - ERASE (only works when rendering to a framebuffer, like a Render Texture)

  Canvas has more available depending on browser support.

  You can also create your own custom Blend Modes in WebGL.

  Blend modes have different effects under Canvas and WebGL, and from browser to browser, depending on support. Blend Modes also cause a WebGL batch flush should it encounter a new blend mode. For these reasons try to be careful about the construction of your Scene and the frequency in which blend modes are used.

  #### Parameters

  - value: string | number | BlendModes

    The BlendMode value. Either a string, a CONST or a number.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setBlendMode

  - Defined in node_modules/phaser/types/phaser.d.ts:17158

### setData

- setData< T >(key, data?): this

- Allows you to store a key value pair within this Game Objects Data Manager.

  If the Game Object has not been enabled for data (via `setDataEnabled`) then it will be enabled before setting the value.

  If the key doesn't already exist in the Data Manager then it is created.

      sprite.setData('name', 'Red Gem Stone');

  You can also pass in an object of key value pairs as the first argument:

      sprite.setData({ name: 'Red Gem Stone', level: 2, owner: 'Link', gold: 50 });

  To get a value back again you can call `getData`:

      sprite.getData('gold');

  Or you can access the value directly via the `values` property, where it works like any other variable:

      sprite.data.values.gold += 50;

  When the value is first set, a `setdata` event is emitted from this Game Object.

  If the key already exists, a `changedata` event is emitted instead, along an event named after the key. For example, if you updated an existing key called `PlayerLives` then it would emit the event `changedata-PlayerLives`. These events will be emitted regardless if you use this method to set the value, or the direct `values` setter.

  Please note that the data keys are case-sensitive and must be valid JavaScript Object property strings. This means the keys `gold` and `Gold` are treated as two unique values within the Data Manager.

  #### Type Parameters

  - T extends unknown

  #### Parameters

  - key: string | T

    The key to set the value for. Or an object of key value pairs. If an object the `data` argument is ignored.

  - `Optional` data: any

    The value to set for the given key. If an object is provided as the key this argument is ignored.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setData

  - Defined in node_modules/phaser/types/phaser.d.ts:19720

### setDataEnabled

- setDataEnabled(): this

- Adds a Data Manager component to this Game Object.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setDataEnabled

  - Defined in node_modules/phaser/types/phaser.d.ts:19677

### setDepth

- setDepth(value): this

- The depth of this Game Object within the Scene.

  The depth is also known as the 'z-index' in some environments, and allows you to change the rendering order of Game Objects, without actually moving their position in the display list.

  The default depth is zero. A Game Object with a higher depth value will always render in front of one with a lower value.

  Setting the depth will queue a depth sort event within the Scene.

  #### Parameters

  - value: number

    The depth of this Game Object. Ensure this value is only ever a number data-type.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setDepth

  - Defined in node_modules/phaser/types/phaser.d.ts:17245

### setDisplaySize

- setDisplaySize(width, height): this

- Sets the display size of this Game Object.

  Calling this will adjust the scale.

  #### Parameters

  - width: number

    The width of this Game Object.

  - height: number

    The height of this Game Object.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setDisplaySize

  - Defined in node_modules/phaser/types/phaser.d.ts:17218

### setExclusive

- setExclusive(value?): this

- Does this Container exclusively manage its children?

  The default is `true` which means a child added to this Container cannot belong in another Container, which includes the Scene display list.

  If you disable this then this Container will no longer exclusively manage its children. This allows you to create all kinds of interesting graphical effects, such as replicating Game Objects without reparenting them all over the Scene. However, doing so will prevent children from receiving any kind of input event or have their physics bodies work by default, as they're no longer a single entity on the display list, but are being replicated where-ever this Container is.

  #### Parameters

  - `Optional` value: boolean

    The exclusive state of this Container. Default true.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setExclusive

  - Defined in node_modules/phaser/types/phaser.d.ts:16721

### setInteractive

- setInteractive(hitArea?, callback?, dropZone?): this

- Pass this Game Object to the Input Manager to enable it for Input.

  Input works by using hit areas, these are nearly always geometric shapes, such as rectangles or circles, that act as the hit area for the Game Object. However, you can provide your own hit area shape and callback, should you wish to handle some more advanced input detection.

  If no arguments are provided it will try and create a rectangle hit area based on the texture frame the Game Object is using. If this isn't a texture-bound object, such as a Graphics or BitmapText object, this will fail, and you'll need to provide a specific shape for it to use.

  You can also provide an Input Configuration Object as the only argument to this method.

  #### Parameters

  - `Optional` hitArea: any

    Either an input configuration object, or a geometric shape that defines the hit area for the Game Object. If not given it will try to create a Rectangle based on the texture frame.

  - `Optional` callback: HitAreaCallback

    The callback that determines if the pointer is within the Hit Area shape or not. If you provide a shape you must also provide a callback.

  - `Optional` dropZone: boolean

    Should this Game Object be treated as a drop zone target? Default false.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setInteractive

  - Defined in node_modules/phaser/types/phaser.d.ts:19791

### setMask

- setMask(mask): this

- Sets the mask that this Game Object will use to render with.

  The mask must have been previously created and can be either a GeometryMask or a BitmapMask. Note: Bitmap Masks only work on WebGL. Geometry Masks work on both WebGL and Canvas.

  If a mask is already set on this Game Object it will be immediately replaced.

  Masks are positioned in global space and are not relative to the Game Object to which they are applied. The reason for this is that multiple Game Objects can all share the same mask.

  Masks have no impact on physics or input detection. They are purely a rendering component that allows you to limit what is visible during the render pass.

  #### Parameters

  - mask: BitmapMask | GeometryMask

    The mask this Game Object will use when rendering.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setMask

  - Defined in node_modules/phaser/types/phaser.d.ts:17267

### setName

- setName(value): this

- Sets the `name` property of this Game Object and returns this Game Object for further chaining. The `name` property is not populated by Phaser and is presented for your own use.

  #### Parameters

  - value: string

    The name to be given to this Game Object.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setName

  - Defined in node_modules/phaser/types/phaser.d.ts:19659

### setPosition

- setPosition(x?, y?, z?, w?): this

- Sets the position of this Game Object.

  #### Parameters

  - `Optional` x: number

    The x position of this Game Object. Default 0.

  - `Optional` y: number

    The y position of this Game Object. If not set it will use the `x` value. Default x.

  - `Optional` z: number

    The z position of this Game Object. Default 0.

  - `Optional` w: number

    The w position of this Game Object. Default 0.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setPosition

  - Defined in node_modules/phaser/types/phaser.d.ts:17524

### setPositionRelative

- setPositionRelative(guideObject, x, y): void

- Sets this object's position relative to another object with a given offset

  #### Parameters

  - guideObject: any

    Phaser.GameObjects.GameObject to base the position off of

  - x: number

    The relative x position

  - y: number

    The relative y position

  #### Returns void

  Inherited from Phaser.GameObjects.Container.setPositionRelative

  - Defined in src/main.ts:95

### setPostPipeline

- setPostPipeline(pipelines, pipelineData?, copyData?): this

- Sets one, or more, Post Pipelines on this Game Object.

  Post Pipelines are invoked after this Game Object has rendered to its target and are commonly used for post-fx.

  The post pipelines are appended to the `postPipelines` array belonging to this Game Object. When the renderer processes this Game Object, it iterates through the post pipelines in the order in which they appear in the array. If you are stacking together multiple effects, be aware that the order is important.

  If you call this method multiple times, the new pipelines will be appended to any existing post pipelines already set. Use the `resetPostPipeline` method to clear them first, if required.

  You can optionally also set the `postPipelineData` property, if the parameter is given.

  #### Parameters

  - pipelines: string | Function | string[] | PostFXPipeline | PostFXPipeline[] | Function[]

    Either the string-based name of the pipeline, or a pipeline instance, or class, or an array of them.

  - `Optional` pipelineData: object

    Optional pipeline data object that is set in to the `postPipelineData` property of this Game Object.

  - `Optional` copyData: boolean

    Should the pipeline data object be deep copied into the `postPipelineData` property of this Game Object? If `false` it will be set by reference instead. Default true.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setPostPipeline

  - Defined in node_modules/phaser/types/phaser.d.ts:17407

### setPostPipelineData

- setPostPipelineData(key, value?): this

- Adds an entry to the `postPipelineData` object belonging to this Game Object.

  If the 'key' already exists, its value is updated. If it doesn't exist, it is created.

  If `value` is undefined, and `key` exists, `key` is removed from the data object.

  #### Parameters

  - key: string

    The key of the pipeline data to set, update, or delete.

  - `Optional` value: any

    The value to be set with the key. If `undefined` then `key` will be deleted from the object.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setPostPipelineData

  - Defined in node_modules/phaser/types/phaser.d.ts:17418

### setRandomPosition

- setRandomPosition(x?, y?, width?, height?): this

- Sets the position of this Game Object to be a random position within the confines of the given area.

  If no area is specified a random position between 0 x 0 and the game width x height is used instead.

  The position does not factor in the size of this Game Object, meaning that only the origin is guaranteed to be within the area.

  #### Parameters

  - `Optional` x: number

    The x position of the top-left of the random area. Default 0.

  - `Optional` y: number

    The y position of the top-left of the random area. Default 0.

  - `Optional` width: number

    The width of the random area.

  - `Optional` height: number

    The height of the random area.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setRandomPosition

  - Defined in node_modules/phaser/types/phaser.d.ts:17545

### setRotation

- setRotation(radians?): this

- Sets the rotation of this Game Object.

  #### Parameters

  - `Optional` radians: number

    The rotation of this Game Object, in radians. Default 0.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setRotation

  - Defined in node_modules/phaser/types/phaser.d.ts:17551

### setScale

- setScale(x?, y?): this

- Sets the scale of this Game Object.

  #### Parameters

  - `Optional` x: number

    The horizontal scale of this Game Object. Default 1.

  - `Optional` y: number

    The vertical scale of this Game Object. If not set it will use the `x` value. Default x.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setScale

  - Defined in node_modules/phaser/types/phaser.d.ts:17564

### setScrollFactor

- setScrollFactor(x, y?, updateChildren?): this

- Sets the scroll factor of this Container and optionally all of its children.

  The scroll factor controls the influence of the movement of a Camera upon this Game Object.

  When a camera scrolls it will change the location at which this Game Object is rendered on-screen. It does not change the Game Objects actual position values.

  A value of 1 means it will move exactly in sync with a camera. A value of 0 means it will not move at all, even if the camera moves. Other values control the degree to which the camera movement is mapped to this Game Object.

  Please be aware that scroll factor values other than 1 are not taken in to consideration when calculating physics collisions. Bodies always collide based on their world position, but changing the scroll factor is a visual adjustment to where the textures are rendered, which can offset them from physics bodies if not accounted for in your code.

  #### Parameters

  - x: number

    The horizontal scroll factor of this Game Object.

  - `Optional` y: number

    The vertical scroll factor of this Game Object. If not set it will use the `x` value. Default x.

  - `Optional` updateChildren: boolean

    Apply this scrollFactor to all Container children as well? Default false.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setScrollFactor

  - Defined in node_modules/phaser/types/phaser.d.ts:17045

### setSize

- setSize(width, height): this

- Sets the internal size of this Game Object, as used for frame or physics body creation.

  This will not change the size that the Game Object is rendered in-game. For that you need to either set the scale of the Game Object (`setScale`) or call the `setDisplaySize` method, which is the same thing as changing the scale but allows you to do so by giving pixel values.

  If you have enabled this Game Object for input, changing the size will not change the size of the hit area. To do this you should adjust the `input.hitArea` object directly.

  #### Parameters

  - width: number

    The width of this Game Object.

  - height: number

    The height of this Game Object.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setSize

  - Defined in node_modules/phaser/types/phaser.d.ts:17209

### setState

- setState(value): this

- Sets the current state of this Game Object.

  Phaser itself will never modify the State of a Game Object, although plugins may do so.

  For example, a Game Object could change from a state of 'moving', to 'attacking', to 'dead'. The state value should typically be an integer (ideally mapped to a constant in your game code), but could also be a string. It is recommended to keep it light and simple. If you need to store complex data about your Game Object, look at using the Data Component instead.

  #### Parameters

  - value: string | number

    The state of the Game Object.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setState

  - Defined in node_modules/phaser/types/phaser.d.ts:19672

### setVisible

- setVisible(value): this

- Sets the visibility of this Game Object.

  An invisible Game Object will skip rendering, but will still process update logic.

  #### Parameters

  - value: boolean

    The visible state of the Game Object.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setVisible

  - Defined in node_modules/phaser/types/phaser.d.ts:17642

### setW

- setW(value?): this

- Sets the w position of this Game Object.

  #### Parameters

  - `Optional` value: number

    The w position of this Game Object. Default 0.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setW

  - Defined in node_modules/phaser/types/phaser.d.ts:17591

### setX

- setX(value?): this

- Sets the x position of this Game Object.

  #### Parameters

  - `Optional` value: number

    The x position of this Game Object. Default 0.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setX

  - Defined in node_modules/phaser/types/phaser.d.ts:17570

### setY

- setY(value?): this

- Sets the y position of this Game Object.

  #### Parameters

  - `Optional` value: number

    The y position of this Game Object. Default 0.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setY

  - Defined in node_modules/phaser/types/phaser.d.ts:17576

### setZ

- setZ(value?): this

- Sets the z position of this Game Object.

  Note: The z position does not control the rendering order of 2D Game Objects. Use Phaser.GameObjects.Components.Depth#setDepth instead.

  #### Parameters

  - `Optional` value: number

    The z position of this Game Object. Default 0.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.setZ

  - Defined in node_modules/phaser/types/phaser.d.ts:17585

### setup

- setup(): void

- #### Returns void

  - Defined in src/ui/achv-bar.ts:24

### showAchv

- showAchv(achv): void

- #### Parameters

  - achv: Achv | Voucher

  #### Returns void

  - Defined in src/ui/achv-bar.ts:57

### shuffle

- shuffle(): this

- Shuffles the all Game Objects in this Container using the Fisher-Yates implementation.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.shuffle

  - Defined in node_modules/phaser/types/phaser.d.ts:16968

### shutdown

- shutdown(): void

- Removes all listeners.

  #### Returns void

  Inherited from Phaser.GameObjects.Container.shutdown

  - Defined in node_modules/phaser/types/phaser.d.ts:9906

### sort

- sort(property, handler?): this

- Sort the contents of this Container so the items are in order based on the given property. For example: `sort('alpha')` would sort the elements based on the value of their `alpha` property.

  #### Parameters

  - property: string

    The property to lexically sort by.

  - `Optional` handler: Function

    Provide your own custom handler function. Will receive 2 children which it should compare and return a boolean.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.sort

  - Defined in node_modules/phaser/types/phaser.d.ts:16791

### swap

- swap< T >(child1, child2): this

- Swaps the position of two Game Objects in this Container. Both Game Objects must belong to this Container.

  #### Type Parameters

  - T extends GameObject

  #### Parameters

  - child1: T

    The first Game Object to swap.

  - child2: T

    The second Game Object to swap.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.swap

  - Defined in node_modules/phaser/types/phaser.d.ts:16864

### toJSON

- toJSON(): JSONGameObject

- Returns a JSON representation of the Game Object.

  #### Returns JSONGameObject

  Inherited from Phaser.GameObjects.Container.toJSON

  - Defined in node_modules/phaser/types/phaser.d.ts:19855

### toggleData

- toggleData(key): this

- Toggle a boolean value for the given key within this Game Objects Data Manager. If the key doesn't already exist in the Data Manager then it is toggled from false.

  If the Game Object has not been enabled for data (via `setDataEnabled`) then it will be enabled before setting the value.

  If the key doesn't already exist in the Data Manager then it is created.

  When the value is first set, a `setdata` event is emitted from this Game Object.

  #### Parameters

  - key: string

    The key to toggle the value for.

  #### Returns this

  Inherited from Phaser.GameObjects.Container.toggleData

  - Defined in node_modules/phaser/types/phaser.d.ts:19747

### update

- update(...args): void

- To be overridden by custom GameObjects. Allows base objects to be used in a Pool.

  #### Parameters

  - `Rest` ...args: any[]

    args

  #### Returns void

  Inherited from Phaser.GameObjects.Container.update

  - Defined in node_modules/phaser/types/phaser.d.ts:19850

### willRender

- willRender(camera): boolean

- Compares the renderMask with the renderFlags to see if this Game Object will render or not. Also checks the Game Object against the given Cameras exclusion list.

  #### Parameters

  - camera: Camera

    The Camera to check against this Game Object.

  #### Returns boolean

  Inherited from Phaser.GameObjects.Container.willRender

  - Defined in node_modules/phaser/types/phaser.d.ts:19862